LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 11-21-2011, 12:53 AM   #1
haiying7
LQ Newbie
 
Registered: Nov 2011
Location: Sydney, Australia
Posts: 15

Rep: Reputation: Disabled
Unhappy ns2.1b9a-gcc32 installation error on Ubuntu 11.04. HELP!


Hi,

I am installing ns2.1b9a-gcc32 like this,
1) sudo apt-get install build-essential
2) sudo apt-get install libxmu-dev
3) install gcc-3.3 and g++-3.3
4) export CC=/usr/bin/gcc-3.3
export CCC=g++-3.3
export CXX=/usr/bin/g++-3.3
5) tar xzvf ns-allinone-2.1b9a-gcc32.tar.gz
6) touch ns-allinone-2.1b9a/tcl8.3.2/generic/tclStubInit.c
7) cd ns-allinone-2.1b9a
patch -p0 < ../ns21b9a-gcc33.patch
8) ./install

But I got this error,
Code:
============================================================
* Build tcl8.3.2
============================================================
loading cache ./config.cache
checking for ranlib... ranlib
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
tcl8.3.2 configuration failed! Exiting ...
Tcl is not part of the ns project.  Please see www.Scriptics.com
to see if they have a fix for your platform.
What does it mean? Could anybody help me? Thanks very much!
 
Old 11-21-2011, 04:23 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,938

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
Welcome to LQ.

Not sure if ns2.1b9a-gcc32 can be built on Ubuntu 11.04 at all.

One thing is sure : No old Ubuntu compilers will work on 11.04.
These "compats" are built for 11.04 : gcc34-compat-3.4.6_i386.deb,
g++34-compat-3.4.6_i386.deb, etc. <compat-X.xx> and will work OK.
I will check, if it is possible to build a gcc33-compat for 11.04
in a couple of days.

Regards knudfl.

.
 
1 members found this post helpful.
Old 11-21-2011, 09:16 PM   #3
haiying7
LQ Newbie
 
Registered: Nov 2011
Location: Sydney, Australia
Posts: 15

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
Welcome to LQ.

Not sure if ns2.1b9a-gcc32 can be built on Ubuntu 11.04 at all.

One thing is sure : No old Ubuntu compilers will work on 11.04.
These "compats" are built for 11.04 : gcc34-compat-3.4.6_i386.deb,
g++34-compat-3.4.6_i386.deb, etc. <compat-X.xx> and will work OK.
I will check, if it is possible to build a gcc33-compat for 11.04
in a couple of days.

Regards knudfl.

.
Thank you, knudfl.

It seems I have to give up 2.1b9a.
 
Old 11-21-2011, 09:48 PM   #4
John VV
Guru
 
Registered: Aug 2005
Posts: 13,046

Rep: Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740Reputation: 1740
Quote:
It seems I have to give up 2.1b9a.
2.1b is OLD ( guessing around 1998-2000 ) 2.35 is the current 2 build and that was to build in gcc 4.3
http://nsnam.isi.edu/nsnam/index.php/Main_Page
 
Old 11-22-2011, 12:15 AM   #5
haiying7
LQ Newbie
 
Registered: Nov 2011
Location: Sydney, Australia
Posts: 15

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by John VV View Post
2.1b is OLD ( guessing around 1998-2000 ) 2.35 is the current 2 build and that was to build in gcc 4.3
http://nsnam.isi.edu/nsnam/index.php/Main_Page
Hi,

`Cause I need to use directional antenna in ns2. But this module can only work on 2.1b, this is the reason I install it.
 
Old 11-22-2011, 05:18 AM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,938

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
Quote:
It seems I have to give up 2.1b9a
"ns2.1b9a-gcc32" will install with no issues on most (all?) Linux OS.

Worst choice for any ns2 is Ubuntu 11.04 .
(Ubuntu 11.10 is worse: mostly totally unusable for ns2 and some other specials.)

Be patient : I will be home in a couple of days, and then make the necessary tests.

.
 
Old 11-23-2011, 01:36 PM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,938

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
The above seems to be solved by using Ubuntu 10.04 ...

http://www.linuxquestions.org/questi...0-04-a-915103/
( Other thread by the OP, @haiying7.)


..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ns2.34 installation help in Ubuntu 10.10 xptional Ubuntu 37 02-05-2014 05:01 AM
How to install ns-allinone-2.1b9a in Ubuntu 10.10 andolby Linux - Software 1 03-28-2011 07:21 AM
ns2.29 installation in ubuntu bolmeteus Ubuntu 4 02-08-2011 01:46 PM
kernel compilation error with gcc32 boby_jassar Linux - Newbie 2 03-24-2008 05:18 AM


All times are GMT -5. The time now is 05:11 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration